Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Utils.Hash

Description

Instead of checking time-stamps we compute a hash of the module source and store it in the interface file. This module contains the functions to do that.

Synopsis

- type Hash = Word64
- hashByteString :: ByteString -> Hash
- hashFile :: AbsolutePath -> IO Hash
- combineHashes :: [Hash] -> Hash
- hashString :: String -> Word64

# Documentation

type Hash = Word64 #

hashByteString :: ByteString -> Hash #

hashFile :: AbsolutePath -> IO Hash #

combineHashes :: [Hash] -> Hash #

hashString :: String -> Word64 #

Hashing a module name for unique identifiers.